/* Cores */

:root {
  --primary-color-blue: #061A40;
  --primary-color-white: #F5EEEE;
  --secondary-color-black: #090909;
  --secondary-color-blue: #3CDBD3;
  --font-size: 16px;
}

html {
  font-style: normal;
  font-size: 1.75rem;
  display: inline-block;
  text-align: center;
  color: var(--primary-color-blue)
}


body {
  margin: 0;
  padding: 0;
  background-color: var(--primary-color-blue);
}

.config-menu {
  background-color: var(--primary-color-white);
  padding: 1rem;
  border-radius: 1rem;
  width: 500px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);

  /* Centralizar vertical e horizontalmente */
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  color: var(--secondary-color-black);
}

h1 {
  color: var(--primary-color-blue);
  font-size: 40px;
  font-weight: 500;
}

#configForm label {
  font-size: 1rem;
  font-weight: 400;
  line-height: normal;
  display: flex;
  color: var(--primary-color-blue);
}

#configForm input {
  border-radius: 10px;
  border: 1px solid var(--secondary-color-black);
  box-sizing: border-box;
  width: 100%;
  height: 50px;
  margin-bottom: 16px;
  padding-left: 8px;
  color: var(--secondary-color-black);
  font-size: 0.7rem;
}

#configForm input::placeholder {
    color: #061A40;
    font-size:  0.8rem;
    font-style: italic;
    font-weight: 400;
    line-height: normal;
}

button {
  background-color: var(--primary-color-blue);
  color: var(--primary-color-white);
  border-radius: 10px;
  border: none;
  width: 50%;
  height: 50px;
  margin-top: 16px;
  font-size: 1rem;
  font-weight: 500;
  line-height: normal;
  cursor: pointer;
}

button:active {
  transform: scale(1.05);
  transition: 0.5S;
}
#logo {
  max-width: 90%;
  margin: 0.5rem 0;
}

/* Estilos para dispositivos móveis (tela estreita) */
@media screen and (max-width: 768px) {
  html {
    font-size: 1rem; /* Reduza o tamanho da fonte para dispositivos móveis */
  }

  .config-menu {
    width: 80%; /* Reduza a largura do menu de configuração */
    padding: 1rem;
  }

  h1 {
    font-size: 28px; /* Reduza o tamanho da fonte do título */
  }
}

/* Estilos para dispositivos móveis (tela estreita) */
@media screen and (max-height: 500px) and (orientation: landscape) {
  #logo {
    display: none;
  }

  .config-menu {
    height: 350; /* Reduza a largura do menu de configuração */
    padding: 0.2rem;
  }

}